Meta-data
{
"id": "...",
"meta": 199
}{
"id": "...",
"meta": [1,2,3,4]
}{
"id": "...",
"meta": "some str"
}{
"id": "...",
"meta": ["one", "two"]
}{
"id": "...",
"meta": {
"arr": ["1","2"],
" some": "field"
}
}Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
idstringRequiredExample:
ID of the address in the system
ff27961c-1463-48ec-a908-914b029bb91bmetaobject | array | string · nullableRequiredExample:
some meta-data, allow free format (string, array, object etc)Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
responsenullRequired
post/api-gateway/addresses/set-meta
POST /api-gateway/addresses/set-meta HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 116
{
"id": "ff27961c-1463-48ec-a908-914b029bb91b",
"meta": "some meta-data, allow free format (string, array, object etc)"
}200Success
{
"success": true,
"response": null
}Last updated